package db

import (
	"database/sql"
	"fmt"
	"log"

	_ "github.com/microsoft/go-mssqldb"
)

var MssqlDB *sql.DB

func ConnectMSSQL() {
	connString := "sqlserver://sa:Gil_0150@10.0.0.9:1433?databaseName=BAGGI_V3"

	var err error
	MssqlDB, err = sql.Open("sqlserver", connString)
	if err != nil {
		log.Fatal("MSSQL bağlantı hatası:", err)
	}

	err = MssqlDB.Ping()
	if err != nil {
		log.Fatal("MSSQL erişilemiyor:", err)
	}

	fmt.Println("✅ MSSQL bağlantısı başarılı!")
}
func GetDB() *sql.DB {
	return MssqlDB
}
